Package: grails.boot

## [Groovy] Class GrailsApp.2

- grails.boot.GrailsApp.2

-     class GrailsApp.2
      extends FileExtensionFileChangeListener

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FileExtensionFileChangeListener` | `extensions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApp.2 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `onChange(java.io.File file, java.util.List<java.lang.String> extensions)`
    `` | `void` | `onNew(java.io.File file, java.util.List<java.lang.String> extensions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FileExtensionFileChangeListener` | `onChange, onChange, onNew, onNew`

- - ### Constructor Detail

    - #### GrailsApp.2()

  - ### Method Detail

    - #### @java.lang.Override void onChange(java.io.File file, java.util.List<java.lang.String> extensions)

    - #### @java.lang.Override void onNew(java.io.File file, java.util.List<java.lang.String> extensions)